View Issue Details

IDProjectCategoryView StatusLast Update
0002995SymmetricDSImprovementpublic2017-05-05 09:17
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.17 
Target Version3.8.17Fixed in Version3.8.17 
Summary0002995: IllegalStateException - no content found after fixing transform
DescriptionWhen a transform fails and configuration is changed to fix it, SymmetricDS clears out staging on the target side so the newly transformed batch will be loaded. Because of the asynchronous transmit and load nature of SymmetricDS as of 3.8 when the configuration loader removes batches from staging it can remove batches that have already been transmitted behind it and when they are scheduled for load they are missing.

This results in an illegal exception error that doesn't cause harm, but is ugly in the log file.

This should be cleaned up.
TagsNo tags attached.

Relationships

related to 0003094 closedelong Status of batches set to resend when error on channel 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 48e83e5a

2017-02-13 08:47:10

chenson

Details Diff
0002995: IllegalStateException - no content found after fixing transform
0002995
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File

Issue History

Date Modified Username Field Change
2017-02-13 08:46 chenson New Issue
2017-02-13 08:46 chenson Status new => assigned
2017-02-13 08:46 chenson Assigned To => chenson
2017-02-13 08:47 chenson Status assigned => resolved
2017-02-13 08:47 chenson Fixed in Version => 3.8.17
2017-02-13 08:47 chenson Resolution open => fixed
2017-02-13 09:00 chenson Changeset attached => SymmetricDS 3.8 48e83e5a
2017-02-24 09:18 chenson Status resolved => closed
2017-05-05 09:17 elong Relationship added related to 0003094